GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/cli-out.c File Reference
`#include "defs.h"`
`#include "ui-out.h"`
`#include "cli-out.h"`
`#include "completer.h"`
`#include "readline/readline.h"`

Go to the source code of this file.

## Functions
cli_ui_out * | cli_out_new (struct ui_file *stream)
static void | cli_mld_crlf (const struct match_list_displayer *displayer)
static void | cli_mld_putch (const struct match_list_displayer *displayer, int ch)
static void | cli_mld_puts (const struct match_list_displayer *displayer, const char *s)
static void | cli_mld_flush (const struct match_list_displayer *displayer)
EXTERN_C void | _rl_erase_entire_line (void)
static void | cli_mld_erase_entire_line (const struct match_list_displayer *displayer)
static void | cli_mld_beep (const struct match_list_displayer *displayer)
static int | cli_mld_read_key (const struct match_list_displayer *displayer)
void | cli_display_match_list (char **matches, int len, int max)

## Function Documentation

## ◆ _rl_erase_entire_line()

EXTERN_C void _rl_erase_entire_line | ( | void |  | ) |

Referenced by cli_mld_erase_entire_line().

## ◆ cli_display_match_list()

void cli_display_match_list | ( | char ** | matches,
|  | int | len,
|  | int | max
| ) |  |

Definition at line 361 of file cli-out.c.

References match_list_displayer::beep, cli_mld_beep(), cli_mld_crlf(), cli_mld_erase_entire_line(), cli_mld_flush(), cli_mld_putch(), cli_mld_puts(), cli_mld_read_key(), match_list_displayer::crlf, match_list_displayer::erase_entire_line, match_list_displayer::flush, gdb_display_match_list(), match_list_displayer::height, match_list_displayer::putch, match_list_displayer::puts, match_list_displayer::read_key, and match_list_displayer::width.

Referenced by init_main().

## ◆ cli_mld_beep()

static void cli_mld_beep | ( | const struct match_list_displayer * | displayer | ) |
| static

Definition at line 344 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_mld_crlf()

static void cli_mld_crlf | ( | const struct match_list_displayer * | displayer | ) |
| static

Definition at line 302 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_mld_erase_entire_line()

static void cli_mld_erase_entire_line | ( | const struct match_list_displayer * | displayer | ) |
| static

Definition at line 336 of file cli-out.c.

References _rl_erase_entire_line().

Referenced by cli_display_match_list().

## ◆ cli_mld_flush()

static void cli_mld_flush | ( | const struct match_list_displayer * | displayer | ) |
| static

Definition at line 326 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_mld_putch()

static void cli_mld_putch | ( | const struct match_list_displayer * | displayer,
|  | int | ch
| ) |  |
| static

Definition at line 310 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_mld_puts()

static void cli_mld_puts | ( | const struct match_list_displayer * | displayer,
|  | const char * | s
| ) |  |
| static

Definition at line 318 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_mld_read_key()

static int cli_mld_read_key | ( | const struct match_list_displayer * | displayer | ) |
| static

Definition at line 352 of file cli-out.c.

Referenced by cli_display_match_list().

## ◆ cli_out_new()

cli_ui_out* cli_out_new | ( | struct ui_file * | stream | ) |

Definition at line 281 of file cli-out.c.

References ui_source_list.

Referenced by cli_interp::cli_interp(), mi_interp::init(), and tui_initialize_io().